Public Attributes | List of all members
_ll_qspi_memorymapped_read_init_t Struct Reference
Peripheral Driver » LL Driver » QSPI » Structures » QSPI Exported init structure

`#include <gr55xx_ll_qspi.h>`

## Public Attributes
uint32_t | x_dfs
uint32_t | x_dfs_hardcode_en
uint32_t | x_instruction_en
uint32_t | x_instruction_size
uint32_t | x_instruction
uint32_t | x_address_size
uint32_t | x_inst_addr_transfer_format
uint32_t | x_mode_bits_en
uint32_t | x_mode_bits_length
uint32_t | x_mode_bits_data
uint32_t | x_dummy_cycles
uint32_t | x_data_frame_format
uint32_t | x_prefetch_en
uint32_t | x_continous_xfer_en
uint32_t | x_continous_xfer_toc
uint32_t | x_endian_mode

## Detailed Description

Definition at line 133 of file gr55xx_ll_qspi.h.

## Member Data Documentation

## ◆ x_address_size

uint32_t _ll_qspi_memorymapped_read_init_t::x_address_size

Specifies instruction size in memorymapped(xip) mode. This parameter can be a value of : address size for concurrent xip mode.

Definition at line 158 of file gr55xx_ll_qspi.h.

## ◆ x_continous_xfer_en

uint32_t _ll_qspi_memorymapped_read_init_t::x_continous_xfer_en

Specifies whether to enable the continuous transfer feature in memorymapped(xip) mode. LL_QSPI_CONCURRENT_XIP_CONT_XFER_ENABLE LL_QSPI_CONCURRENT_XIP_CONT_XFER_DISABLE

Definition at line 190 of file gr55xx_ll_qspi.h.

## ◆ x_continous_xfer_toc

uint32_t _ll_qspi_memorymapped_read_init_t::x_continous_xfer_toc

Specifies timeout count for the continuous transfer feature in memorymapped(xip) mode. unit in terms of hclk, range [0, 255]

Definition at line 195 of file gr55xx_ll_qspi.h.

## ◆ x_data_frame_format

uint32_t _ll_qspi_memorymapped_read_init_t::x_data_frame_format

Specifies enhanced spi's frame format in memorymapped(xip) mode. This parameter can be a value of : frame format for concurrent xip mode

Definition at line 181 of file gr55xx_ll_qspi.h.

## ◆ x_dfs

uint32_t _ll_qspi_memorymapped_read_init_t::x_dfs

Specifies the QSPI data frame size in xip mode. This parameter can be a value of : data frame size in xip, take effect when enable DFS_HC.

Definition at line 139 of file gr55xx_ll_qspi.h.

## ◆ x_dfs_hardcode_en

uint32_t _ll_qspi_memorymapped_read_init_t::x_dfs_hardcode_en

Specifies whether to enable the HSIZE hardcoded to DFS feature in memorymapped(xip) mode. LL_QSPI_CONCURRENT_XIP_DFS_HARDCODE_ENABLE LL_QSPI_CONCURRENT_XIP_DFS_HARDCODE_DISABLE

Definition at line 142 of file gr55xx_ll_qspi.h.

## ◆ x_dummy_cycles

uint32_t _ll_qspi_memorymapped_read_init_t::x_dummy_cycles

Specifies wait(dummy) cycles in memorymapped(xip) mode. value range [0 ~ 31]

Definition at line 177 of file gr55xx_ll_qspi.h.

## ◆ x_endian_mode

uint32_t _ll_qspi_memorymapped_read_init_t::x_endian_mode

Specifies endian mode in memorymapped(xip) mode. This parameter can be a value of : endian mode for qspi xip

Definition at line 199 of file gr55xx_ll_qspi.h.

## ◆ x_inst_addr_transfer_format

uint32_t _ll_qspi_memorymapped_read_init_t::x_inst_addr_transfer_format

Specifies xfer format of inst & addr in memorymapped(xip) mode. This parameter can be a value of : transfer of inst & address for concurrent xip mode.

Definition at line 162 of file gr55xx_ll_qspi.h.

## ◆ x_instruction

uint32_t _ll_qspi_memorymapped_read_init_t::x_instruction

Specifies instruction in memorymapped(xip) mode.

Definition at line 156 of file gr55xx_ll_qspi.h.

## ◆ x_instruction_en

uint32_t _ll_qspi_memorymapped_read_init_t::x_instruction_en

Specifies whether to enable the instruction phase feature in memorymapped(xip) mode. LL_QSPI_CONCURRENT_XIP_INST_ENABLE LL_QSPI_CONCURRENT_XIP_INST_DISABLE

Definition at line 147 of file gr55xx_ll_qspi.h.

## ◆ x_instruction_size

uint32_t _ll_qspi_memorymapped_read_init_t::x_instruction_size

Specifies instruction size in memorymapped(xip) mode. This parameter can be a value of : instruction size for concurrent xip mode.

Definition at line 152 of file gr55xx_ll_qspi.h.

## ◆ x_mode_bits_data

uint32_t _ll_qspi_memorymapped_read_init_t::x_mode_bits_data

Specifies value of mode bits phase

Definition at line 175 of file gr55xx_ll_qspi.h.

## ◆ x_mode_bits_en

uint32_t _ll_qspi_memorymapped_read_init_t::x_mode_bits_en

Specifies whether to enable mode bits phase in memorymapped(xip) mode. LL_QSPI_CONCURRENT_XIP_MODE_BITS_ENABLE LL_QSPI_CONCURRENT_XIP_MODE_BITS_DISABLE

Definition at line 166 of file gr55xx_ll_qspi.h.

## ◆ x_mode_bits_length

uint32_t _ll_qspi_memorymapped_read_init_t::x_mode_bits_length

Specifies mode bits length This parameter can be a value of : mode bits length for xip mode.

Definition at line 171 of file gr55xx_ll_qspi.h.

## ◆ x_prefetch_en

uint32_t _ll_qspi_memorymapped_read_init_t::x_prefetch_en

Specifies whether to enable the prefetch feature. LL_QSPI_CONCURRENT_XIP_PREFETCH_ENABLE LL_QSPI_CONCURRENT_XIP_PREFETCH_DISABLE

Definition at line 185 of file gr55xx_ll_qspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_qspi.h